package com.qmth.teachcloud.common.enums.mark;

import com.baomidou.mybatisplus.annotation.EnumValue;

import java.util.LinkedList;
import java.util.List;

public enum MarkProblemType {
    WRONG("答错位置", 0),
    BLUR("试卷模糊", 1),
    OTHER("其它", 2);

    private String name;

    private int value;

    private static List<MarkProblemType> options;

    private MarkProblemType(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static MarkProblemType findByValue(int value) {
        for (MarkProblemType c : MarkProblemType.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }

    public static List<MarkProblemType> getOptionList() {
        if (options == null) {
            options = new LinkedList<>();
            for (MarkProblemType status : MarkProblemType.values()) {
                options.add(status);
            }
        }
        return options;
    }

}
